Bug 216347 - [x86_64] crash on calling through uno bridge the first method which will return a small struct <= 16 bytes
[x86_64] crash on calling through uno bridge the first method which will retu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-19 14:41 EST by Victor Lorenz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.4-5.5.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 03:53:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from OOobase "to be submiitted with bug report" (8.48 KB, application/octet-stream)
2006-11-19 14:41 EST, Victor Lorenz
no flags Details
backtrace (2.42 KB, text/plain)
2006-11-21 05:57 EST, Caolan McNamara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 71815 None None None Never

  None (edit)
Description Victor Lorenz 2006-11-19 14:41:47 EST
Description of problem:
Using KDE: Open existing database with tables and forms. When attempting to open
form in edit mode Openoffice Writer opens. When trying to create new form using
wizard crashes with attached "bug" output

Version-Release number of selected component (if applicable):

2.0.4-.5.3.3
How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Victor Lorenz 2006-11-19 14:41:50 EST
Created attachment 141592 [details]
Output from OOobase "to be submiitted with bug report"
Comment 2 Caolan McNamara 2006-11-21 05:57:11 EST
It's a death on the first returned structure from a jni call, damned if I know
right now how to figure out if it's OOo's fault of gcj's

A Rectangle struct, quite a small stuct, maybe some problem in one of the
bridges, either the OOo uno one, or the OOo java one, or in the gcj ffi
Comment 3 Caolan McNamara 2006-11-21 05:57:54 EST
Created attachment 141752 [details]
backtrace
Comment 4 Caolan McNamara 2006-11-21 06:00:59 EST
I should say, crash on calling the first method that will return a struct,
"this" is all wrong inside getPosSize, while calling other methods on that
object like, setPosSize function as expected
Comment 5 Caolan McNamara 2006-11-21 08:22:23 EST
This fix will be in next fc-6 update of OOo. need to handle struct returned in
registers

Note You need to log in before you can comment on or make changes to this bug.